Check Point Advisories

IBM WebSphere Remote Code Execution (CVE-2019-4279; CVE-2019-8352)

Check Point Reference: CPAI-2019-0710
Date Published: 4 Jun 2019
Severity: Critical
Last Updated: 10 Jun 2019
Source:
Industry Reference:CVE-2019-4279
CVE-2019-8352
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? IBM WebSphere Application Server 8.5 and 9.0
Vulnerability Description A remote code execution vulnerability exists within IBM WebSphere. Successful exploitation could lead to arbitrary code execution on the targeted device.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the IBM WebSphere Remote Code Execution (CVE-2019-4279) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  IBM Protection Violation.
Attack Information:  IBM WebSphere Remote Code Execution (CVE-2019-4279)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO